#include <iostream>

using namespace std;

int main()
{
    int n, m, g;
    cin>>n>>m>>g;

    for(int i=0; i<m; ++i){
        int k;
        cin>>k>>k;
    }
    cout<<m-n<<endl<<1;
    return 0;
}
